[OpenWrt-Devel] NFSD: add dependency kmod-crypto-arc4 for kmod-fs-nfs-common-rpcsec
diff mbox series

Message ID 20191005101633.6649-1-zhouruixi@gmail.com
State Accepted
Delegated to: Hauke Mehrtens
Headers show
Series
  • [OpenWrt-Devel] NFSD: add dependency kmod-crypto-arc4 for kmod-fs-nfs-common-rpcsec
Related show

Commit Message

zhouruixi@gmail.com Oct. 5, 2019, 10:16 a.m. UTC
From: Ruixi Zhou <zhouruixi@gmail.com>

crypto-arc4 move into a module with commit c3a78955f34a61d402044f357f54f21c75a19ff9,
fs-nfs-common-rpcsec compile error without arc4 support.

Ref: https://github.com/openwrt/packages/issues/9912

Signed-off-by: Ruixi Zhou <zhouruixi@gmail.com>
---
 package/kernel/linux/modules/fs.mk | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

Patch
diff mbox series

diff --git a/package/kernel/linux/modules/fs.mk b/package/kernel/linux/modules/fs.mk
index 47170058b2..3ffe82cbe8 100644
--- a/package/kernel/linux/modules/fs.mk
+++ b/package/kernel/linux/modules/fs.mk
@@ -389,7 +389,8 @@  define KernelPackage/fs-nfs-common-rpcsec
 	+kmod-crypto-md5 \
 	+kmod-crypto-sha1 \
 	+kmod-crypto-hmac \
-	+kmod-crypto-ecb
+	+kmod-crypto-ecb \
+	+kmod-crypto-arc4
   KCONFIG:= \
 	CONFIG_SUNRPC_GSS \
 	CONFIG_RPCSEC_GSS_KRB5